Cyberduck Mountain Duck CLI

#11540 closed defect (fixed)

Nextcloud share cannot be mounted via the “Nextcloud & ownCloud“ option in Mountain Duck

Reported by: mklima Owned by: dkocher
Priority: normal Milestone: 7.8.2
Component: webdav Version: 7.7.2
Severity: normal Keywords: Nextcloud
Cc: Architecture: Intel
Platform: Windows 10

Description

I have my own Nextcloud 18 server accessible at https://server.com/nextcloud , the path for WebDAV connections is therefore https://server.com/nextcloud/remote.php/dav/files/some_user . It can be mounted without any issue via the “WebDAV (HTTPS)” option, but not via “Nextcloud & ownCloud“ option (working config for “WebDAV (HTTPS)” is attached). Unlike the ownCloud, Default WebDAV path in Nextcloud is unique for each user as his username must be in the path. For instance, user “admin” has the path /nextcloud/remote.php/dav/files/admin . However, the “Nextcloud & ownCloud“ option does not offer to set the correct path. Moreover, there is hardcoded a fixed path that corresponds to the ownCloud style: /remote.php/webdav

Thus, it would be nice to have the possibility to add custom path the same way as it is in “WebDAV (HTTPS)” option.

Attachments (1)

Nextcloud.png (11.1 KB) - added by mklima on Jan 14, 2021 at 2:47:40 PM.
Working config for Nextcloud

Download all attachments as: .zip

Change History (4)

Changed on Jan 14, 2021 at 2:47:40 PM by mklima

Working config for Nextcloud

comment:1 Changed on Jan 14, 2021 at 4:05:22 PM by dkocher

  • Component changed from interface to webdav

It should work with the preconfigured profile if you can map your installation to / instead of /nextcloud.

comment:2 Changed on Jan 23, 2021 at 11:16:37 AM by dkocher

  • Milestone set to 7.8.2
  • Owner set to dkocher
  • Status changed from new to assigned

comment:3 Changed on Jan 25, 2021 at 7:42:34 AM by yla

  • Resolution set to fixed
  • Status changed from assigned to closed

In r50530.

Note: See TracTickets for help on using tickets.